CREATE TABLE IF NOT EXISTS sensors (
  sensor_id               CHAR(36)                                    PRIMARY KEY,
  sensor_name             VARCHAR(64)                                 NOT NULL,
  sensor_location         VARCHAR(64),
  wire_id                 VARCHAR(64),
  i2c_bus                 VARCHAR(255),
  i2c_address             VARCHAR(12),
  gpio_number             VARCHAR(6),
  sensor_model            VARCHAR(16)                                 NOT NULL,
  sensor_enabled          INTEGER(1)      DEFAULT 1                   NOT NULL,
  tick_duration           VARCHAR(6)                                  NOT NULL,
  device_id               CHAR(36)                                    NOT NULL,
  creation_date           TIMESTAMP       DEFAULT CURRENT_TIMESTAMP,
  update_date             TIMESTAMP,
  FOREIGN KEY(device_id) REFERENCES devices(device_id)
);